DVCSRequestBuilder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.dvcs

## Class DVCSRequestBuilder

- java.lang.Object
- - org.bouncycastle.dvcs.DVCSRequestBuilder

- Direct Known Subclasses:
    CCPDRequestBuilder, CPDRequestBuilder, VPKCRequestBuilder, VSDRequestBuilder

      public abstract class DVCSRequestBuilder
      extends java.lang.Object

  Common base class for client DVCRequest builders. This class aims at DVCSRequestInformation and TransactionIdentifier construction, and its subclasses - for Data field construction (as it is specific for the requested service).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.bouncycastle.asn1.dvcs.DVCSRequestInformationBuilder` | `requestInformationBuilder`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DVCSRequestBuilder(org.bouncycastle.asn1.dvcs.DVCSRequestInformationBuilder requestInformationBuilder)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExtension(org.bouncycastle.asn1.ASN1ObjectIdentifier oid, boolean isCritical, org.bouncycastle.asn1.ASN1Encodable value)` Add a given extension field.
    `protected DVCSRequest` | `createDVCRequest(org.bouncycastle.asn1.dvcs.Data data)`
    `void` | `setDataLocations(org.bouncycastle.asn1.x509.GeneralName dataLocation)` Set data location to generated requests.
    `void` | `setDataLocations(org.bouncycastle.asn1.x509.GeneralNames dataLocations)` Set data location to generated requests.
    `void` | `setDVCS(org.bouncycastle.asn1.x509.GeneralName dvcs)` Set DVCS name to generated requests.
    `void` | `setDVCS(org.bouncycastle.asn1.x509.GeneralNames dvcs)` Set DVCS name to generated requests.
    `void` | `setNonce(java.math.BigInteger nonce)` Set a nonce for this request,
    `void` | `setRequester(org.bouncycastle.asn1.x509.GeneralName requester)` Set requester name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### requestInformationBuilder

          protected final org.bouncycastle.asn1.dvcs.DVCSRequestInformationBuilder requestInformationBuilder

  - ### Constructor Detail

    - #### DVCSRequestBuilder

          protected DVCSRequestBuilder(org.bouncycastle.asn1.dvcs.DVCSRequestInformationBuilder requestInformationBuilder)

  - ### Method Detail

    - #### setNonce

          public void setNonce(java.math.BigInteger nonce)

      Set a nonce for this request,
      Parameters:
        `nonce` -

    - #### setRequester

          public void setRequester(org.bouncycastle.asn1.x509.GeneralName requester)

      Set requester name.
      Parameters:
        `requester` -

    - #### setDVCS

          public void setDVCS(org.bouncycastle.asn1.x509.GeneralName dvcs)

      Set DVCS name to generated requests.
      Parameters:
        `dvcs` -

    - #### setDVCS

          public void setDVCS(org.bouncycastle.asn1.x509.GeneralNames dvcs)

      Set DVCS name to generated requests.
      Parameters:
        `dvcs` -

    - #### setDataLocations

          public void setDataLocations(org.bouncycastle.asn1.x509.GeneralName dataLocation)

      Set data location to generated requests.
      Parameters:
        `dataLocation` -

    - #### setDataLocations

          public void setDataLocations(org.bouncycastle.asn1.x509.GeneralNames dataLocations)

      Set data location to generated requests.
      Parameters:
        `dataLocations` -

    - #### addExtension

          public void addExtension(org.bouncycastle.asn1.ASN1ObjectIdentifier oid,
                          boolean isCritical,
                          org.bouncycastle.asn1.ASN1Encodable value)
                            throws DVCSException

      Add a given extension field.
      Parameters:
        `oid` - the OID defining the extension type.
        `isCritical` - true if the extension is critical, false otherwise.
        `value` - the ASN.1 structure that forms the extension's value.
      Throws:
        `DVCSException` - if there is an issue encoding the extension for adding.

    - #### createDVCRequest

          protected DVCSRequest createDVCRequest(org.bouncycastle.asn1.dvcs.Data data)
                                          throws DVCSException

      Throws:
        `DVCSException`